Tux Guitar

Help

  Forums : Help
Subject Feedback: Install under Ubuntu Edgy Eft 6.10



Author Message
Keith
Post: Feb 8th 2007 at 9:30 PM

1) install the sun-java5-* packages via synaptic
2) download tuxguitar-0.9.1-ubuntu-6.10-1.deb
3) sudo dpkg -i tuxguitar-0.9.1-ubuntu-6.10-1.deb

NB no need to d/l and install tuxguitar-alsa-0.9-ubuntu-6.10-1.deb, I found this actually stopped the sound from working, uninstalling it and everythng now works fine.

Found out about tuxguitar when researching how to run powertab under wine. This program is exactly what I was looking for. You have just removed my last reason for keeping a copy of MS Windows on my PC. I'm seriously thinking of reclaiming the space now.

Awesome piece of software, much respect.


Back to Top
 
Bart
Post: Mar 2nd 2007 at 3:22 PM

What should I do when I can´t find nothing lika sun-java5 in my Synaptic?... I am new to linux


Back to Top
 
Julian
Post: Mar 2nd 2007 at 3:26 PM

java packages are at "multiverse" repository (not enabled as default)..
look at google how you can enable that repository.


Back to Top
 
stefab
Post: Mar 31st 2007 at 5:06 PM

i have the problem too, but i habe already enable the multiverse section. apt-get says, that the java5-package is too old. i have installed java6 and the program runs, but apt-get sayd, that there is a dependency-conflict because the java5-jre-package is not installed


Back to Top
 
Julian
Post: Mar 31st 2007 at 5:19 PM

Yes, there is conflict.. because the package config, don't have java-6 as alternative (i didn't know java-6 was at repositories when i made the .deb package)..
so i'm not sure if you can "force" the package installation with depdendence problems.. but make sure tuxguitar run under java-6..
if you can't install the .deb package.. you should download the tuxguitar binary files..


Back to Top
 
eric
Post: Apr 22nd 2007 at 10:24 AM

i was able to install is like this:

sudo dpkg -i --force-depends-version tux*.deb

it caused no problems and worked perfectly with java 6. this should be on the download page to avoid confusion..


Back to Top
 
Julian
Post: Apr 22nd 2007 at 12:27 PM

Hi,
i uploaded yesterday new tuxguitar-[version].deb tuxguitar-alsa-[version] packages..

depends updated: "sun-java6-jre | sun-java5-jre"


Back to Top